Pave Bank
Sandbox/Simulate RFI/RFI Question

Create Admin Response

Add a staff response to a question within a Request for Information.

This endpoint is only available in our sandbox environment. It is not available in production.

Use this endpoint to add staff/admin responses to RFI questions in sandbox mode. This simulates staff providing responses or additional information to customer inquiries, such as requesting clarification or providing guidance.

Example Request

curl --request POST \
  --url https://developer-api-staging.pavebank.dev/v1/sandbox/rfis/<RFI_ID>/questions/<RFI_QUESTION_ID>/admin-responses \
  --header 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
  --header 'Content-Type: application/json' \
  --data '{
    "response_text": "Reviewed and providing reference documents.",
    "document_ids": ["<DOCUMENT_ID_1>", "<DOCUMENT_ID_2>"]
  }'
POST
/v1/sandbox/rfis/{rfiID}/questions/{questionID}/admin-responses

Authorization

AuthorizationRequiredBearer <token>

Enter your token in the format: Bearer {token}

In: header

Request Body

application/jsonOptional
response_textRequiredstring

The staff response or feedback text

document_idsarray<string>

Array of document IDs to attach to the response

Path Parameters

rfiIDRequiredstring

The unique identifier of the RFI

questionIDRequiredstring

The unique identifier of the question

Response Body

Success response

idRequiredstring

The unique identifier of the response

parent_idRequiredstring

The associated RFI ID

question_idRequiredstring

The associated question ID

responder_typeRequiredstring

The type of responder

Value in: "customer" | "staff" | "system"
responseRequiredobject

The response data structured by question type

created_byRequiredstring

The associated user ID

created_atRequiredstring

Timestamp when the response was created

Format: "date-time"
updated_atRequiredstring

Timestamp when the response was last updated

Format: "date-time"
curl -X POST "https://developer-api-staging.pavebank.dev/v1/sandbox/rfis/string/questions/string/admin-responses" \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -d '{
    "response_text": "Please provide additional documentation to verify the transaction source.",
    "document_ids": [
      "string"
    ]
  }'
{
  "id": "string",
  "parent_id": "string",
  "question_id": "string",
  "responder_type": "customer",
  "response": {},
  "created_by": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z"
}